package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.EnterEvaluationRoomComposite;

/**
 * @Description: 进入评标室
 * @author guoyr
 */
public class EvaluationRoomAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		EnterEvaluationRoomComposite enterEvaluationRoomComposite = new EnterEvaluationRoomComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, enterEvaluationRoomComposite);
		
	}

}
